Fedora9, installation Creative x-fi soundtreiber

  • Problem

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • Fedora9, installation Creative x-fi soundtreiber

    Guten morgen, bräuchte mal eure Hilfe
    so das Problem ich habe linux erst seit 2 tagen^^
    vlc, flash usw. installiern war kein problem ( war ja auch nach anleitung)
    und habe aber kein sound, 2min googel da habe ich die linux beta treiber für meine soundkarte gefunden, aber die installation bekomme ich nicht hin
    hier die readme
    Free Text Host
    und der treiber
    Creative Sound Blaster X-Fi Treiber Creative Sound 1.18 Beta Download Driver Software

    was ich gemacht habe :
    - treiber gedownloadet
    - entpackt
    - konsole auf
    - su und in das verzeichnis gewechselt
    - ./installer
    danach musste ich 2 mal yes eintippen
    und dann mehrmals enter drücken für die linzes zustimmung usw.
    Installation is in progress. Please wait...
    checking for gcc... no
    checking for cc... no
    checking for cc... no
    checking for cl... no
    configure: error: no acceptable C compiler found in $PATH
    See `config.log' for more details.
    make: *** [all] Fehler 2
    make: *** [install] Fehler 2
    Installation Unsuccessful
    [[email protected] XFiDrv_Linux_US-1.18]#


    nun weiß ich aber nicht was ich machen muss,
    irgendwas mit "ALSA" aber mehr als das das irgendwas mit Audio unter linux zutuhn hat weiß ich auch nicht.

    wäre sehr nett wenn mir jemand helfen könnte.

    Mfg kellerkind
  • checking for gcc... no
    checking for cc... no
    checking for cc... no
    checking for cl... no

    =>Fehlender Compiler, kannst du ganz einfach per Paketmanager nachinstallieren, wie das Paket heißt musst du halt guggen, debian ist es einfach apt-get install gcc.
    Bei dir probier mal yum install gcc in der Konsole als root.

    MfG xlemmingx
  • so kompliner installiert
    jetzt kommt aber
    checking for gcc... gcc
    checking for C compiler default output file name... a.out
    checking whether the C compiler works... yes
    checking whether we are cross compiling... no
    checking for suffix of executables...
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ANSI C... none needed
    checking for ranlib... ranlib
    checking for a BSD-compatible install... /usr/bin/install -c
    checking how to run the C preprocessor... gcc -E
    checking for egrep... grep -E
    checking for ANSI C header files... yes
    checking for an ANSI C-conforming const... yes
    checking for inline... inline
    checking whether time.h and sys/time.h may both be included... yes
    checking whether gcc needs -traditional... no
    checking for current directory... /opt/Creative/XFiDrv_Linux_US-1.18/drivers
    checking cross compile...
    checking for directory with kernel source... /lib/modules/2.6.25.11-97.fc9.x86_64/source
    checking for directory with kernel build... /lib/modules/2.6.25.11-97.fc9.x86_64/build
    checking for directory with ALSA include files... /lib/modules/2.6.25.11-97.fc9.x86_64/source/include
    checking for kernel linux/version.h... no
    The file /lib/modules/2.6.25.11-97.fc9.x86_64/source/include/linux/version.h does not exist.
    Please install the package with full kernel sources for your distribution
    or use --with-kernel=dir option to specify another directory with kernel
    sources (default is /lib/modules/2.6.25.11-97.fc9.x86_64/source).
    make: *** [all] Fehler 2
    make: *** [install] Fehler 2
    Installation Unsuccessful
    [[email protected] XFiDrv_Linux_US-1.18]#